dstar {GeneMeta} | R Documentation

## Tools for Meta-analysis of gene expression data.

### Description

A small number of meta-analysis functions for comparing two gene expression experiments are provided.

### Usage

    dstar(d, n)
    getdF(data, categ)
    sigmad(d, ng1, ng2)

### Arguments

`d` | A vector of t-statistics, ie. the output of `getdF`.
`n` | The number of t-statistics.
`data` | The data used to compute t-statistics, either a matrix or an `exprSet`
`categ` | A vector of 0's and 1's indicating group membership.
`ng1` | The number of samples in group 1.
`ng2` | The number of samples in group 2.

### Details

The functions `getdF` compute t-test statistics for the input data and group membership (note that group membership must be indicated by a vector of 0's and 1's).

The function `dstar` computes an unbiased estimate of the t-test. The function `sigmad` computes the variance estimate of `dstar`.

### Value

The different functions have different return values, but generally they are vectors of the requested quantities.

### Author(s)

L. Lusa, R. Gray and R. Gentleman

### References

Choi et al, Combining multiple microarray studies and modeling interstudy variation. Bioinformatics, 2003, i84-i90.

### Examples

      x = matrix(rnorm(1000), nc=10)
      ds = getdF(x, rep(c(0,1), c(5,5)))
      dst = dstar(ds, ncol(x))
      sgd = sigmad(ds, 5, 5)

[Package GeneMeta version 1.10.0 Index]